LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::i18n::ScriptType Constant Group Referencepublished

Constants to specify the script type. More...

## Variables
const short | LATIN = 1
| Latin characters (English, ...) More...
const short | ASIAN = 2
| Asian characters (Japanese, ...) More...
const short | COMPLEX = 3
| Complex characters (Arabic, ...) More...
const short | WEAK = 4
| undefined characters (punctuation, ...) More...

## Detailed Description

Constants to specify the script type.

Used with XBreakIterator::beginOfScript(), XBreakIterator::endOfScript(), XBreakIterator::nextScript(), XBreakIterator::previousScript()

## Variable Documentation

## ◆ ASIAN

const short ASIAN = 2

Asian characters (Japanese, ...)

## ◆ COMPLEX

const short COMPLEX = 3

Complex characters (Arabic, ...)

## ◆ LATIN

const short LATIN = 1

Latin characters (English, ...)

## ◆ WEAK

const short WEAK = 4

undefined characters (punctuation, ...)